PageRenderTime 48ms CodeModel.GetById 14ms RepoModel.GetById 0ms app.codeStats 0ms

/js/lib/Socket.IO-node/support/expresso/deps/jscoverage/tests/server-special-file.sh

http://github.com/onedayitwillmake/RealtimeMultiplayerNodeJs
Shell | 62 lines | 34 code | 10 blank | 18 comment | 1 complexity | 67bb5fb09f29b414e49c54955810b8e3 MD5 | raw file
Possible License(s): GPL-2.0, LGPL-2.1, MPL-2.0-no-copyleft-exception, BSD-3-Clause
  1. #!/bin/sh
  2. # server-special-file.sh - test jscoverage-server with special file
  3. # Copyright (C) 2008 siliconforks.com
  4. #
  5. # This program is free software; you can redistribute it and/or modify
  6. # it under the terms of the GNU General Public License as published by
  7. # the Free Software Foundation; either version 2 of the License, or
  8. # (at your option) any later version.
  9. #
  10. # This program is distributed in the hope that it will be useful,
  11. # but WITHOUT ANY WARRANTY; without even the implied warranty of
  12. # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  13. # GNU General Public License for more details.
  14. #
  15. # You should have received a copy of the GNU General Public License along
  16. # with this program; if not, write to the Free Software Foundation, Inc.,
  17. # 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
  18. set -e
  19. # skip on mingw
  20. uname=`uname`
  21. case "$uname" in
  22. MINGW*)
  23. exit 77
  24. ;;
  25. esac
  26. shutdown() {
  27. wget -q -O- --post-data= "http://127.0.0.1:${server_port}/jscoverage-shutdown" > /dev/null
  28. wait $server_pid
  29. }
  30. cleanup() {
  31. rm -f DIR/foo
  32. rm -fr DIR
  33. shutdown
  34. }
  35. trap 'cleanup' 0 1 2 3 15
  36. export PATH=.:..:$PATH
  37. if [ -z "$VALGRIND" ]
  38. then
  39. delay=0.2
  40. else
  41. delay=2
  42. fi
  43. rm -fr DIR
  44. mkdir DIR
  45. mkfifo DIR/foo
  46. $VALGRIND jscoverage-server > OUT 2> ERR &
  47. server_pid=$!
  48. server_port=8080
  49. sleep $delay
  50. echo 404 > EXPECTED
  51. ! curl -f -w '%{http_code}\n' http://127.0.0.1:8080/DIR/foo 2> /dev/null > ACTUAL
  52. diff EXPECTED ACTUAL